Realtime analytics
GET
/analytics/v1/realtimeReturns real-time analytics snapshot
Authorization
Bearer Authorization<token>
In: header
Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/analyticsv1.RealtimeStats",
"$ref-value": {
"properties": {
"active_users": {
"type": "integer"
},
"events_per_minute": {
"type": "integer"
},
"recent_events": {
"items": {
"$ref": "#/components/schemas/analyticsv1.RecentEvent",
"$ref-value": {
"properties": {
"content_id": {
"type": "string"
},
"event_type": {
"type": "string"
},
"timestamp": {
"type": "string"
},
"user_id": {
"type": "string"
}
},
"type": "object"
}
},
"type": "array"
},
"timestamp": {
"type": "string"
},
"top_countries": {
"items": {
"$ref": "#/components/schemas/analyticsv1.CountryCount",
"$ref-value": {
"properties": {
"count": {
"type": "integer"
},
"country": {
"type": "string"
}
},
"type": "object"
}
},
"type": "array"
},
"top_events": {
"items": {
"$ref": "#/components/schemas/analyticsv1.EventCount",
"$ref-value": {
"properties": {
"count": {
"type": "integer"
},
"event_type": {
"type": "string"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}curl -X GET "https://api.rixl.com/analytics/v1/realtime"OK
application/json
{
"$ref": "#/components/schemas/analyticsv1.RealtimeStats",
"$ref-value": {
"properties": {
"active_users": {
"type": "integer"
},
"events_per_minute": {
"type": "integer"
},
"recent_events": {
"items": {
"$ref": "#/components/schemas/analyticsv1.RecentEvent",
"$ref-value": {
"properties": {
"content_id": {
"type": "string"
},
"event_type": {
"type": "string"
},
"timestamp": {
"type": "string"
},
"user_id": {
"type": "string"
}
},
"type": "object"
}
},
"type": "array"
},
"timestamp": {
"type": "string"
},
"top_countries": {
"items": {
"$ref": "#/components/schemas/analyticsv1.CountryCount",
"$ref-value": {
"properties": {
"count": {
"type": "integer"
},
"country": {
"type": "string"
}
},
"type": "object"
}
},
"type": "array"
},
"top_events": {
"items": {
"$ref": "#/components/schemas/analyticsv1.EventCount",
"$ref-value": {
"properties": {
"count": {
"type": "integer"
},
"event_type": {
"type": "string"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}